Subject: Re: [PATCH v3 4/4] CodingGuidelines: recommend singular they

From: Derrick Stolee <[email-masked]>
Date: Thu, 17 Jun 2021 09:22:21 -0400

On 6/16/2021 8:09 PM, Junio C Hamano wrote:
> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
...
>> The references to "gendered prounouns" etc. are gone, perhaps there's a
>> good reason to re-include them, but the point of "isn't that issue
>> solved by recommending an orthagonal approach?" is one of the many
>> things Stolee hasn't been addressing in the threads related to this
>> series.
>>
>> To me that whole approach is somewhere between a solution in search of a
>> problem and a "let's fix it and move on". Not something we need
>> explicitly carry in our CodingGuidelines forever.
> 
> This I think is the crux of the differences between you two.  I'd
> love to hear Derrick's response and eventually see a middle ground
> reached.

I disagree that removing gendered pronouns and updating the
guidelines are orthogonal. At minimum, we shouldn't have
guidelines that we do not follow, especially when they are
small in number and we can fix them in a few patches.

The entire point of this series was to reach a decision about
gendered pronouns so we can stop having arguments about them
when they come up. We should just be able to point to "here is
the decision we made" and it's not enough to say "If you go
look at the mailing list archive you can see that we removed
all gendered pronouns so you shouldn't add them again."

We need ways for contributors to self-discover these things.
Anything less is doing a disservice to our fellow contributors.

Thanks,
-Stolee